<bugID>1022370<Summary>Menu Bar is visible even if I disabled it, and extra padding appears between Tabbar and the Menu Bar</Summary><Description>Created attachment 8436512
screenshot

Steps To Reproduce:
1. Enable Menu Bar
2. Open http://browserbench.org/Speedometer/(I do not confirm whether the problem happens only for this site.)
3. Start Test 
4. While the test is in progress, Enter "Customize Mode" and Exit "Customize Mode"
5. While the test is in progress, Right click on toolbox and Un-check "Menu Bar" to disable it

Actual Results:
Menu Bar would would not hide.
And extra padding appears between Tabbar and the Menu Bar.
Afer close the tab, this curruption is pearsist.

Expected Results:
Menu Bar would should be hide
&#12540;&#12399;&#12381;&#12398;&#12414;&#12414;&#23621;&#32154;&#12369;&#12427;</Description></bugID>